Bug 450331 - lack of documentation on restoring from bare-metal (UUID problem)
lack of documentation on restoring from bare-metal (UUID problem)
Status: ASSIGNED
Product: Fedora Documentation
Classification: Fedora
Component: deployment-guide (Show other bugs)
devel
All Linux
low Severity low
: ---
: ---
Assigned To: Stephen Wadeley
Christopher Antila
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 14:15 EDT by Gene Czarcinski
Modified: 2016-12-07 13:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2008-06-06 14:15:58 EDT
Description of problem:
ref: https://bugzilla.redhat.com/show_bug.cgi?id=449299

There is a lack of documentation on restoring a system from bare metal.  I have
found (see reference) that restore the root ("/") is not as simple as as just
executing the restore command when running in rescue mode.

With the current emphasis being place on use of UUIDs in both Fedora and RHEL,
the whole business of UUIDs need to be better documented.

Version-Release number of selected component (if applicable):
Fedora 9
Comment 1 eric@christensenplace.us 2009-06-26 00:46:38 EDT
Maybe this is a better fit in the User Guide.
Comment 2 Paul W. Frields 2009-06-26 09:08:28 EDT
Hm, seems like a very odd target for the User Guide; most users would never want to touch this kind of procedure, but a sysadmin might.
Comment 3 eric@christensenplace.us 2009-06-26 09:27:58 EDT
Yes it does.  I'd like to see our Administration Guide come back.  This would go nicely there.
Comment 4 Gene Czarcinski 2009-06-26 10:57:54 EDT
Paul ... I believe you are correct about this being more appropriate info for a sysadmin or an advanced user.  However, even not-so-experienced users may hit this problem.

I recently changed my disk layouts and root ("/") how is a LVM logical volume with a separate /boot on a real partition.  In this case, the LVM device is used in the grub.conf.  However, even logical volumes have UUIDs and if there is a duplicate, things get very messy.
Comment 5 David Nalley 2009-07-22 21:42:09 EDT
This sounds like it will be a nice fit for the upcoming Deployment Guide targeted at sysadmins, with the assumption that the component will change once the DG is listed in BZ.
Comment 6 eric@christensenplace.us 2009-07-29 20:38:29 EDT
Changed from desktop-user-guide to user-guide to help reduce confusion.
Comment 7 Florian Nadge 2011-10-10 13:18:18 EDT
Hmm, are you sure that this should not, as suggested in Comment 5, go into the Deployment Guide? Best to ask jhradile since he looks after this guide.
Comment 8 Douglas Silas 2011-10-12 10:05:20 EDT
This would be a good candidate for the proposed Introduction to System Administration Guide. Moving to the Deployment Guide.
Comment 9 Karsten Wade 2011-12-13 22:45:06 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 10 Jaromir Hradilek 2016-12-07 13:47:51 EST
I am no longer in charge of the Deploament Guide for Fedora so I am not in a position to answer the NEEDINFO request anymore. I, however, still think that without making severe changes to its current structure System Administrator's Guide (the spiritual successor of the Deployment Guide) has a good place for this piece of information.

Note You need to log in before you can comment on or make changes to this bug.